Bug 1314331 (CVE-2015-1339) - CVE-2015-1339 kernel: Memory exhaustion via CUSE driver
Summary: CVE-2015-1339 kernel: Memory exhaustion via CUSE driver
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2015-1339
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1314332
Blocks: 1314333
TreeView+ depends on / blocked
 
Reported: 2016-03-03 12:24 UTC by Adam Mariš
Modified: 2019-09-29 13:45 UTC (History)
34 users (show)

Fixed In Version: kernel 4.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-05 08:38:48 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-03-03 12:24:48 UTC
Kernel memory leak in the CUSE driver using stress-ng was found. It is possible for privileged attacker to cause a local DoS via memory exhaustion by repeatedly opening /dev/cuse for reading.

Upstream patch:

https://git.kernel.org/linus/2c5816b4beccc8ba709144539f6fdd764f8fa49c

References:

https://bugzilla.novell.com/show_bug.cgi?id=969356

http://seclists.org/oss-sec/2016/q1/495

Comment 1 Adam Mariš 2016-03-03 12:25:35 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1314332]

Comment 3 Vladis Dronov 2016-04-05 08:38:48 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, 7 and MRG-2 as the code with the flaw is not present in the products listed.


Note You need to log in before you can comment on or make changes to this bug.